/* this is body */
.body{
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    
}
.body2{
    height: 1100px;
}

.container2{
    display: flex;
    align-items: center;
}

.contentofmenu{
    padding-top: 250px;
   /* margin-bottom: 500px; */
    display: flex;
    flex-wrap: wrap;
    flex: 1 1 auto;
    position: relative;
    width: 100%;
}
/* this for all profile section */

.menu_profile{
    
    width: 50%;
    top: 100%;
    
}
/* normal dashbord */

.dashboard{
    position: relative;
    background-color: #8d8a96;
    border-radius: 5px;
    width: 600px;
    height: 700px;
    bottom: 50px;
    right: -920px;

}
.title-info{
    background-color: #d7d5df;
    justify-content: space-between;
    margin: 30px 30px;
    font-size: 2em; font-family: sans-serif;
}
.dashdivision{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: end;
    gap: 20px;
    max-height: 800px;
}


.dashboxes {
    width: 200px;
    height: 200px;
    background-color: #7d7b8a;
    color: #efdede;
    font-size: 25px;
    text-align: center;
    line-height: 20px;
    border-radius: 20px;
    
}
.dashboxes:hover{
    background-color: #80869d;
    opacity: 0.9;
}

.dashboard .dashboxes{
    border: #1b191b solid 5px;
}

.dashboard2 .dashboxes{
    border: #1b191b solid 5px;
}



/*

.dashboard::before{
    content: "";
  width: 40%;
  height: 35%;
  background-color:#222831; 
  border-radius: 50%;
  position: absolute;
  top: 20%;
  left: -20%;
  z-index: 1;
  
}

*/

.text{
    margin: 30px 30px;
    background-color: #aca9b8;
    line-height: 30px;
    height: 20%;
}
/* ------------end of dashboard 1------------------ */
/* ----------------------------------- */

/* user image */
.user_image {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    border: 5px solid rgb(55, 60, 77);
    position: relative;
    flex-shrink: 0;
    bottom: 0px;
    right: 100px;
    z-index: 20;
}
.user_image img{
    position: relative;
    width: 100%;
    padding: auto;
    

}




/* end of user image edition */
/* ----------------------------------- */


.dashboard2{
    background-color: #9c9c9c;
    border: 2px solid rgb(0, 0, 0);
    border-radius: 5px;
    width: 300px;
    height: 500px;
    bottom: -100px;
    left: 600px;
    z-index: -1;  
    position: absolute;
 
   
}

.dashdivision2{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
   
}

.dashdivision2 .descrip{
    transform: translateY(-20px);
    background-color: #454045;
    border-radius: 10%;
    width: fit-content;
}



/* ----------progress bar ------------------ */

.progress { 
    position: relative;
    background-color: rgb(221, 219, 219); 
    width: 80%; 
    height: 40px;
    border-radius: 15px; 
    margin: 30px 0px;
   
  } 


  .skill { 
    position: relative;
    background-color: rgb(8, 147, 197); 
    color: white; 
    height: 40px;
    padding: 1%; 
    font-size: 20px; 
    border-radius: 15px; 
    transform: translateY(-45px);
    
} 

.progress{
    margin-left: 20px;
}
  .strategy { 
    width: 60%; 
  }
  .strength {
    width: 40%;
  }
  .strength p{
    margin-left: 20px;
  }

/* -----------end of progress bar styles------------------------ */


/* ---------end of dashboard2 edit----------- */

.dashboard3{
    position: absolute;
    display: flex;
    flex-direction: column;
    background-color: #8d8b94;
    border: 2px solid rgb(0, 0, 0);
    border-radius: 5px;
    width: 300px;
    height: 300px;
    margin-top: -50px;
    transform: translateX(600px);
  
    
}

/* ----------------------------------- */
/* ---------progress box edit---------------- */


.boxesbarcont{
    display: flex;
    justify-content: space-between;
    height: 20px;
    width: 140px;
    border-radius: 10px;
    background-color: #003459;
    margin: 20px 80px;
    align-items: center;

}

.dashboard3 .boxesbarcont{
    transform: translateY(20px);
}

.boxesbarcont p{
   
   position: absolute;
   background: #5b697d;
   border-radius: 10px;
   color: #1b191b;
   font-weight: bold;
   font-size: large;
   width: 60px;
}
/* ----colored bar inside container ------------- */

.boxesbar1{
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
    background-color: #f6492e;
    margin-left: 2px;
    width: 30px;
    height: 18px;

}

.boxesbar2{
    
    background-color: #f6492e;
    width: 30px;
    height: 18px;
}

.boxesbar4{
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
    margin-right: 2px;
    background-color: #f6492e;
    width: 30px;
    height: 18px;
}

.boxesbar1, .boxesbar2 , .boxesbar4{

  width: 30px;
  height: 18px;
  background: linear-gradient(45deg, #f15523, #ef3224, #7c3697);
 
}
/* --------end of bar edition of style---------------- */
/* -----------end of dashboard3----------------- */
/* ----------------------------------- */


.menuedition{
    margin-top: 100px;
    position: absolute;
    left: 0px;
    top: 0;
    padding: 0px 50px;
    display: flex;
    flex-direction: column;
}

/* this is box div for menu section */
#transtion {
   
    font-size: 2em;
    font-size: 70;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    height: 150px;
    width: 250px;
    background: linear-gradient(45deg, #887fa4 ,#323134);
    border: 5px solid rgb(0, 0, 0);
    border-radius:5px ;
    transition: transform 0.3s ease 0s;
    position: relative; /* ----remove this button will appear on hover------- */
    margin: 20px 0px;
}

#transtion:hover {
    transform: translateX(-30px);
}

.contenthidden {
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 100%;
    font-size: 0.5em; 
    top: 0;
    left: 0;
    display: none;
} 

.contenthidden.clicked {
    display: block;
    cursor: pointer;
    margin-top: 10%;
    margin-bottom: 10%;
    transition: 0.6s;
    background-color: #7e9ca8;
    transform: translateX(30px);
    width:auto;
    height: auto;
}


.clicked{
    animation: moveRight 0.5s ease forwards, fadeIn 1s ease forwards;
}

@keyframes moveRight {
    from {
      transform: translateX(0);
    }
    to {
      transform: translateX(30px);
    }
  }
  
  @keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }



/* this animation to slide text on y-axis */
@keyframes slidetext{
    0%{
        transform: translatex(-50px);
    }
    100%{
        transform: translatex(0) ;
    }
}

/* text appear when overflow */
.animated_text{
    
    font-size: 10px;
    color: azure;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: #30197d;
    padding: 0 40px;
    height: 60px;
    overflow: hidden;
}

/* text slideshow */
.line1{
    text-transform: uppercase;
    text-align: center;
    font-size: 40px;
    line-height: 60px; 
}

.line1:first-child{
    animation: anim 12s infinite;
}

@keyframes anim {

    0%{
        margin-top: 0px;
    }
    25%{
        margin-top: -60px;
    }
    50%{
        margin-top: -120px;
    }
    75%{
        margin-top: -180px;
    }
    100%{
        margin-top: 0px;
    }
}

/* button styles*/

#buttons{
    position: absolute;
    background: #9c9faa;
    font-family: "roboto" ,sans-serif;
    color: #1b191b;
    cursor: pointer;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    -webkit-transition-duration:0.3s ;
    transition-duration: 0.3s;
    -webkit-transition-property: box-shadow, transform;
    transition-property: box-shadow, transform;
    font-size: 25px;
    width: 150px;
    bottom: 20px;
    border: 2px solid rgb(0, 0, 0);

}

#buttons a{
    
    justify-content: space-between;
    gap: 50px;
    margin:0 50px ;
    position: sticky;
}


#buttons:hover , #buttons:focus, #buttons:active{
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    -webkit-transform:scale(1.1) ;
    transform: scale(1.1);
    color: rgb(238, 238, 238)
}



            /* end of button styles*/

/* -----------------------------------------------------------*/
/* style 2 of slider using html css and javascript*/
  
.wrapper{
    max-width: 950px;
    position: relative;
}  

.slider2postionedit{
    align-items: center;
    justify-content: center;
    padding: 0 50px;
    display: flex;
}


.wrapper i{
    top: 50%;
    position: absolute;
    color: black;
    background-color: aliceblue;
    height: 45px;
    width: 45px;
    text-align: center;
    line-height: 46px;
    font-size: 1.2rem;
    border-radius: 50%;
    transform: translateY(-50%);
    transition: transform 0.1s linear;
}
.wrapper i:first-child{
    left: -23px;
}

.wrapper i:hover{
    background: #f2f2f2;
}

.wrapper i:last-child{
    right: -15px;
}


.wrapper .carousel{
     white-space: nowrap;
     cursor: pointer;
     overflow: hidden;
     scroll-behavior: smooth;
  }

  .carousel img{
    width: 300px;
    height: 200px;
    object-fit: cover;
    margin-left: 14px ;
    transition:0.5s;
    
  }
  .carousel img:first-child{
    margin-left: 0px;
  }

  @media screen and (max-width: 900px) {
    .carousel img{
        width: calc(100% / 2);
    }
  }
 
  @media screen and (max-width: 550px) {
    .carousel img{
        width: 100%;
    }
  }



.bodyofcard{

    transform: translateX(-500px);
    justify-content: center;
    display: flex;
   
}

.carousel img{
    border: black solid 5px;
}
.wrapper img:hover{
    background: #e1ddfe;
    color: #ffffff;
    opacity: 0.5;
    width: 310px;
    height: 210px;
}



